﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Datron 9500 Channel Selection
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.4 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       104
=============================================================================
#
# Registers Used:
#
#   M[100]    9500 Channel selection
#
#   M[89]     1 if M[100] is valid, -1 otherwise
#
#   S[28]     Error message if M[89] is -1.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPL         CHANNEL_1                    M[100] == 1
  1.002  JMPL         CHANNEL_2                    M[100] == 2
  1.003  JMPL         CHANNEL_3                    M[100] == 3
  1.004  JMPL         CHANNEL_4                    M[100] == 4
  1.005  JMPL         CHANNEL_5                    M[100] == 5
  1.006  JMPL         CHANNEL_1_AND_2              M[100] == 12
  1.007  JMPL         CHANNEL_1_AND_3              M[100] == 13
  1.008  JMPL         CHANNEL_1_AND_4              M[100] == 14
  1.009  JMPL         CHANNEL_1_AND_5              M[100] == 15
  1.010  JMPL         CHANNEL_2_AND_3              M[100] == 23
  1.011  JMPL         CHANNEL_2_AND_4              M[100] == 24
  1.012  JMPL         CHANNEL_2_AND_5              M[100] == 25
  1.013  JMPL         CHANNEL_3_AND_4              M[100] == 34
  1.014  JMPL         CHANNEL_3_AND_5              M[100] == 35
  1.015  JMPL         CHANNEL_4_AND_5              M[100] == 45
  1.016  MATH         S[26] = "Undefined 9500 channel designation.  "
  1.017  MATH         S[27] = "M[100] is unrecognized."
  1.018  MATH         S[28] = S[26] + S[27]
  1.019  MATH         M[89] = -1
  1.020  END

  1.021  LABEL        CHANNEL_1
  1.022  M9500                       CH1
  1.023  JMPL         END

  1.024  LABEL        CHANNEL_2
  1.025  M9500                       CH2
  1.026  JMPL         END

  1.027  LABEL        CHANNEL_3
  1.028  M9500                       CH3
  1.029  JMPL         END

  1.030  LABEL        CHANNEL_4
  1.031  M9500                       CH4
  1.032  JMPL         END

  1.033  LABEL        CHANNEL_5
  1.034  M9500                       CH5
  1.035  JMPL         END

  1.036  LABEL        CHANNEL_1_AND_2
  1.037  M9500                       CH12
  1.038  JMPL         END

  1.039  LABEL        CHANNEL_1_AND_3
  1.040  M9500                       CH13
  1.041  JMPL         END

  1.042  LABEL        CHANNEL_1_AND_4
  1.043  M9500                       CH14
  1.044  JMPL         END

  1.045  LABEL        CHANNEL_1_AND_5
  1.046  M9500                       CH15
  1.047  JMPL         END

  1.048  LABEL        CHANNEL_2_AND_3
  1.049  M9500                       CH23
  1.050  JMPL         END

  1.051  LABEL        CHANNEL_2_AND_4
  1.052  M9500                       CH24
  1.053  JMPL         END

  1.054  LABEL        CHANNEL_2_AND_5
  1.055  M9500                       CH25
  1.056  JMPL         END

  1.057  LABEL        CHANNEL_3_AND_4
  1.058  M9500                       CH34
  1.059  JMPL         END

  1.060  LABEL        CHANNEL_3_AND_5
  1.061  M9500                       CH35
  1.062  JMPL         END

  1.063  LABEL        CHANNEL_4_AND_5
  1.064  M9500                       CH45

  1.065  LABEL        END
  1.066  MATH         S[28] = ""
  1.067  MATH         M[89] = 1
  1.068  END
